summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAron Griffis <agriffis@gentoo.org>2003-07-30 18:47:06 +0000
committerAron Griffis <agriffis@gentoo.org>2003-07-30 18:47:06 +0000
commit7c02dc07fa2fdf2712124b135174792ab2d24fcb (patch)
tree77686987a289b8149af304cf140369613d3e2590 /eclass/vim-plugin.eclass
parentBug 22671 - vapier found the fix - should work again (diff)
downloadgentoo-2-7c02dc07fa2fdf2712124b135174792ab2d24fcb.tar.gz
gentoo-2-7c02dc07fa2fdf2712124b135174792ab2d24fcb.tar.bz2
gentoo-2-7c02dc07fa2fdf2712124b135174792ab2d24fcb.zip
add vim-doc and vim-plugin eclasses in prep for app-vim category
Diffstat (limited to 'eclass/vim-plugin.eclass')
-rw-r--r--eclass/vim-plugin.eclass33
1 files changed, 33 insertions, 0 deletions
diff --git a/eclass/vim-plugin.eclass b/eclass/vim-plugin.eclass
new file mode 100644
index 000000000000..8951ed41f7aa
--- /dev/null
+++ b/eclass/vim-plugin.eclass
@@ -0,0 +1,33 @@
+# Copyright 1999-2003 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/eclass/vim-plugin.eclass,v 1.1 2003/07/30 18:47:06 agriffis Exp $
+#
+# This eclass simplifies installation of app-vim plugins into
+# /usr/share/vim/vimfiles. This is a version-independent directory
+# which is read automatically by vim. The only exception is
+# documentation, for which we make a special case via vim-doc.eclass
+
+inherit vim-doc
+ECLASS=vim-plugin
+INHERITED="$INHERITED $ECLASS"
+
+IUSE=""
+DEPEND="|| ( >=app-editors/vim-6.2 >=app-editors/gvim-6.2 )"
+RDEPEND="${DEPEND}"
+SRC_URI="mirror://gentoo/${P}.tar.bz2"
+SLOT="0"
+
+src_install() {
+ cd ${WORKDIR}
+ chmod -R a+rX ${S}
+ dodir /usr/share/vim
+ mv ${S} ${D}/usr/share/vim/vimfiles
+}
+
+pkg_postinst() {
+ update_vim_helptags
+}
+
+pkg_postrm() {
+ update_vim_helptags
+}